%define name gnome-inm-forecast-applet
%define version 0.8.2
%define release %mkrel 1

Summary: Spanish weather forecast applet for the GNOME desktop
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Graphical desktop/GNOME
URL: http://kutxa.homeunix.org/trac/gnome-inm-forecast/
Source: http://kutxa.homeunix.org/trac/gnome-inm-forecast/gnome-inm-forecast-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  gtk2-devel
BuildRequires: GConf-devel
BuildRequires: libpanel-applet-devel
BuildRequires: gettext
BuildRequires: perl-XML-Parser
BuildRequires: libglade2.0_0-devel
BuildRequires: libgvfs-devel
BuildRequires:  glib2-devel
Obsoletes: %name < %version


%description
Spanish weather forecast applet for the gnome panel
gnome-inm-forecast displays on the GNOME panel, the weather forecast for the next 7 days in Spain.
It extracts the information from the Spanish Meteorological Agency (http://www.aemet.es)


%description -l es
gnome-inm-forecast muestra en el panel de GNOME el pronóstico del tiempo para los siguientes 7 días en España.
Saca la información de la Agencia Nacional de Meteorología Española (http://www.aemet.es)



%prep
%setup -q -n gnome-inm-forecast-%{version}


%build
./bootstrap
%configure2_5x 
   
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/gconf/schemas
mkdir -p $RPM_BUILD_ROOT/%_datadir/gnome-inm-forecast/pixmaps/inm/
mkdir -p $RPM_BUILD_ROOT/%_datadir/gnome-inm-forecast/pixmaps/aemet/
mkdir -p $RPM_BUILD_ROOT/%_libdir/gnome-panel
mkdir -p $RPM_BUILD_ROOT/%_libdir/bonobo/servers/
mkdir -p $RPM_BUILD_ROOT/%_datadir/pixmaps/
install -m 644 GNOME_inm-forecast.server_rpm \
$RPM_BUILD_ROOT/%_libdir/bonobo/servers/GNOME_inm-forecast.server
install -m 644 gnome-inm-glade.glade \
$RPM_BUILD_ROOT/%_datadir/gnome-inm-forecast/gnome-inm-glade.glade
install -m 644 GNOME_INM_menu.xml $RPM_BUILD_ROOT/%_datadir/gnome-inm-forecast/
install -m 644 pixmaps/inm/* \
$RPM_BUILD_ROOT/%_datadir/gnome-inm-forecast/pixmaps/inm/
install -m 644 pixmaps/aemet/* \
$RPM_BUILD_ROOT/%_datadir/gnome-inm-forecast/pixmaps/aemet/
install -m 644 pixmaps/espcan.jpg $RPM_BUILD_ROOT/%_datadir/gnome-inm-forecast/pixmaps/
install -m 644 pixmaps/gnome-inm-forecast.png $RPM_BUILD_ROOT/%_datadir/pixmaps/
install -m 655 src/gnome-inm-forecast $RPM_BUILD_ROOT/%_libdir/gnome-panel
install -m 644 local_codes.txt $RPM_BUILD_ROOT/%_datadir/gnome-inm-forecast/
install -m 644 *.schemas $RPM_BUILD_ROOT/%_sysconfdir/gconf/schemas


%find_lang gnome-inm-forecast

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas gnome_inm

%post
%post_install_gconf_schemas %schemas

%preun
%preun_uninstall_gconf_schemas %schemas


%files -f gnome-inm-forecast.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING THANKS gpl.texinfo ChangeLog
%_sysconfdir/gconf/schemas/*.schemas
%_bindir/gnome-inm-forecast
%_libdir/gnome-panel/gnome-inm-forecast
%_libdir/bonobo/servers/GNOME_inm-forecast.server
%_datadir/gnome-inm-forecast
%_datadir/pixmaps/gnome-inm-forecast.png
%_mandir/man1/*.1.bz2

%changelog
* Sat Apr 17 2010 slick50 <lxgator@gmail.com>  0.8.2-1pclos2010
- 0.8.2

* Sun Nov 15 2009 slick50 <lxgator@gmail.com>  0.8.1-1pclos2010
- initial build

